/* Copyright (c) 2007 Massachusetts Institute of Technology
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
/* 
 * @author James Geraci
 * Contains the parameters necessary to set up an eletrolyte 'electrode'
 */
#include "StdAfx.h"
#include "Electrolyte.h"


const electrolyteElectrodeChemData Electrolyte::myChem;
const volumeChemData Electrolyte::vCD(298/*T*/,0/*Amax*/,1/*Qmax*/,0/*soc*/,0/*eta*/,0/*als*/,0/*asl*/,0.3e-5/*Dx*/,0.3e-5/*Dy*/,
									   0/*sigx*/,0/*sigy*/,0.79/*Kappax*/,0.79/*Kappay*/,1/*k*/,1/*m*/,0.5 /*exm*/,1.5 /*ex*/,0/*phieq*/,
									   4.9e-3/*hnot*/,1/*epsnot*/,0/*mySign*/);
const volumeIConditions Electrolyte::vIC(1,0,0);
const PVIConditions Electrolyte::pviC(4.9e-3/*hp*/,0/*phi_l*/,0/*phi_s*/);

Electrolyte::Electrolyte(void)
{
}

Electrolyte::Electrolyte(FV** myFV, PV** myPV, matrixData* Matrix,electrodeSizeData* eDat):Electrode("Electrolyte",myFV,myPV,Matrix,eDat,myChem,vCD,vIC,pviC)
{
}

Electrolyte::~Electrolyte(void)
{
}
