/* Copyright (c) 2007 Massachusetts Institute of Technology
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
/* @author James Geraci
 */
// stdafx.h : include file for standard system include files,
// or project specific include files that are used frequently, but
// are changed infrequently
//

#ifndef _StdAfx_H
#define _StdAfx_H


#define WIN32_LEAN_AND_MEAN		// Exclude rarely-used stuff from Windows headers
#define UL 0
#define UR 1
#define LL 2
#define LR 3
#include <libspe.h>
#include <time.h>
#include <stdio.h>
#include <libmisc.h>
//#include <tchar.h>
//#include <tchar.h>
#include <memory.h>
#include <malloc.h>
#include <math.h>
//#include <emmintrin.h>
//#include "acml.h"
//#include "acml_mv.h"

#include "myGlobals.h"
#include "common.h"
//#include "mat.h"
//#include "matrix.h"
//#include "engine.h"
#include "matrixData.h"
//#include "mySolvers.h"

#include "electrodeChemData.h"
#include "ldxElectrodeChemData.h"
#include "ldElectrodeChemData.h"
#include "electrolyteElectrodeChemData.h"

#include "cellSizeData.h"
#include "volumeSpatialData.h"
#include "electrodeSizeData.h"
#include "volumeChemData.h"
#include "volumeIConditions.h"
#include "PVIConditions.h"
#include "FV.h"
// TODO: reference additional headers your program requires here
#include "ldxElectrode.h"
#include "ldElectrode.h"
#include "Electrolyte.h"

#include "CV.h"

#include "PV.h"
//#include "leftPV.h"
//#include "rightPV.h"
#include "OLPV.h"
#include "ORPV.h"
#include "OLULPV.h"
#include "UPV.h"
#include "OLLLPV.h"
#include "ORURPV.h"
#include "ORLRPV.h"


#include "BPV.h"

#endif
