/* Copyright (c) 2007 Massachusetts Institute of Technology
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
/* 
 * @author James Geraci
 * creates an Upper PV
 */
#include "StdAfx.h"
#include "UPV.h"

UPV::UPV(void)
{
}

UPV::UPV(volumeSpatialData* sData, matrixData* mD, volumeChemData* vcD,
		   electrodeSizeData* esData, PVIConditions* pviC):PV(sData, mD, vcD, esData, pviC){
	myCV[UL].exist = false;
	myCV[UR].exist = false;
	myCV[LL].exist = true;
	myCV[LR].exist = true;
}

UPV::~UPV(void)
{
}
void UPV::computeIVdoc(void){
	for(int x = 0; x < 4; x++){
		if(myCV[x].exist){
			iVptr[philc] = iVptr[philc] + myCV[x].setdocCV() + mySign*myCV[x].inCurrentCV();
		}
	}
	return;
};
