/* Copyright (c) 2007 Massachusetts Institute of Technology
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
/** 
 * cellSizeData.h
 * 
 * @author James Geraci
 * 
 */

#ifndef _CELLSIZEDATA_H
#define _CELLSIZEDATA_H

class cellSizeData
{
public:
	cellSizeData(void);
public:
	~cellSizeData(void);

public:
	void setnumofElectrodes(int);

	void setldxFVColumns(int);
	void setElectrolyteFVColumns(int);
	void setldFVColumns(int);

	void setldxPVColumns(int);
	void setElectrolytePVColumns(int);
	void setldPVColumns(int);
	
	void setnumFVRows(int);
	void setnumPVRows(int);

	
	void setnumFVZrows(int);
	void setnumPVZrows(int);

	void computeTotalFVColumns(void);
	void computeTotalPVColumns(void);

	
	void computeTotalFVVolumes(void);
	void computeTotalPVVolumes(void);

	int getldxFVColumns(void);
	int getElectrolyteFVColumns(void);
	int getldFVColumns(void);
	
	
	int getldxPVColumns(void);
	int getElectrolytePVColumns(void);
	int getldPVColumns(void);

	int getnumPVZrows(void);
	int getnumPVRows(void);
	int getnumPVColumns(void);

	int getnumFVZrows(void);
	int getnumFVRows(void);
	int getnumFVColumns(void);

	int gettotalFVVolumes(void);
	int gettotalPVVolumes(void);

	int getnumofElectrodes(void);

private:
	int numofElectrodes;

	int ldxFVColumns;
	int ElectrolyteFVColumns;
	int ldFVColumns;

	int ldxPVColumns;
	int ElectrolytePVColumns;
	int ldPVColumns;

	int numFVRows;
	int numFVZrows;
	int numFVColumns;
	
	int numPVRows;
	int numPVZrows;
	int numPVColumns;
	
	int totalFVColumns;
	int totalPVColumns;

	int totalFVVolumes;
	int totalPVVolumes;
};

#endif
