/* Copyright (c) 2007 Massachusetts Institute of Technology
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
/** 
 * common.h
 * SPU parameters
 * @author James Geraci
 * 
 */
// -*- mode: c++ -*-
#ifndef _COMMON_H
#define _COMMON_H

// James Geraci
// January 15, 2007

#include <stdint.h>
#include <math.h>
#include <simdmath.h>

typedef uint32_t uintptr32_t;

#define QWORD_ALIGNED __attribute__((aligned(16)));
#define CACHE_ALIGNED __attribute__((aligned(128)));

#define QUAD_ALIGNMENT 16
#define NUM_SPU 6

#define MAX_BYTES_IN_ONE_DMA 16384
//#define SIZE_PER_BLOCK 1024 // 16KB/128bitsor16byteesperword



#define doubleByteSize sizeof(double)

// Branch hint macros
#define LIKELY(exp)   __builtin_expect(exp, true)
#define UNLIKELY(exp) __builtin_expect(exp, false)

#define MAGIC_NUM 12
/**
   RS: Forgive me, for I know not what I do.
*/

/**
typedef struct{
  uint32_t matrixData_addr;
  uint32_t svLength_size;
  uint32_t my_id;
  uint32_t used_spu;
  uint32_t my_iV;
  uint32_t bMatrix_addr;
  uint32_t spu0_addr;
  uint32_t spu1_addr;
  uint32_t spu2_addr;
  uint32_t spu3_addr;
  uint32_t spu4_addr;
  uint32_t spu5_addr;
  
  uint32_t dummy1;
  uint32_t dummy2;
  uint32_t dummy3;
  uint32_t dummy4;
} CONTROL_BLOCK;
*/

typedef struct {
  uint32_t rank;
  uint32_t local_store_addr;
  //  uint32_t signal_addr;
  uint32_t control_addr;
  
  uint32_t matrixData_addr;
  uint32_t svLength_size;
  uint32_t rhs_addr;
  uint32_t sol_addr;
  uint32_t hbWidth;

  uint32_t padding2;
  uint32_t padding3;
  uint32_t padding4;
  uint32_t padding5;
  uint32_t padding6;
  uint32_t padding7;
  uint32_t padding8;
  uint32_t padding9;

} CONTROL_BLOCK_T;

#endif
