/* Copyright (c) 2007 Massachusetts Institute of Technology
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
/* @author James Geraci
 */
#ifndef _ELECTRODESIZEDATA_H
#define _ELECTRODESIZEDATA_H
class electrodeSizeData
{
public:
	electrodeSizeData(void);
	electrodeSizeData(double, double, double, int, int, int, int, int, int, int, int, int, int, cellSizeData*);
public:
	~electrodeSizeData(void);

public:
	cellSizeData* mycsData;
	void setFVColumns(int);
	void setFVRows(int);
	void setFVZrows(int);
	void setFVStartColumn(int);
	
	void setxWidth(double);
	void setyHeight(double);
	void setZdepth(double);

	double getyHeight(void);
	double getxWidth(void);
	double getzDepth(void);

	int getnumFVColumns(void);
	int getnumFVRows(void);
	int getnumFVZrows(void);

	int getnumPVColumns(void);
	int getnumPVRows(void);
	int getnumPVZrows(void);

	int getFVstartColumn(void);
	int getFVstartRow(void);

	int getPVstartColumn(void);
	int getPVstartRow(void);

private:


	int numFVColumns;
	int numFVRows;
	int numFVZrows;

	
	int numPVColumns;
	int numPVRows;
	int numPVZrows;
	
	int FVstartColumn;
	int FVstartRow;

	int PVstartColumn;
	int PVstartRow;

	double xWidth;
	double yHeight;
	double zDepth;
};

#endif
