/* Copyright (c) 2007 Massachusetts Institute of Technology
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
/* 
 * @author James Geraci
 * needed to construct a lead electrode
 */
#include "StdAfx.h"
#include "ldElectrode.h"

const ldElectrodeChemData ldElectrode::myChem(0.72,0.002,2.2801e-6,-29.1873/*myVf*/);
const volumeChemData ldElectrode::vCD(298/*T*/,100/*Amax*/,2471/*Qmax*/,0.8/*soc*/,1/*eta*/,1.5/N/*als*/,0.5/N/*asl*/,0.3e-5/*Dx*/,0.3e-5/*Dy*/,
									   48000/*sigx*/,48000/*sigy*/,0.79/*Kappax*/,0.79/*Kappay*/,1/*k*/,1/*m*/,0.5 /*exm*/,1.5 /*ex*/,-0.356/*phieq*/,
									   4.9e-3/*hnot*/,0.35/*epsnot*/,-1/*mySign*/);
const volumeIConditions ldElectrode::vIC(0.35,0,0);
const PVIConditions ldElectrode::pviC(4.9e-3/*hp*/,0/*phi_l*/,-0.356/*phi_s*/);

ldElectrode::ldElectrode(void)
{
}

ldElectrode::ldElectrode(FV** myFV, PV** myPV, matrixData* myMatrix,electrodeSizeData* eD):Electrode("ld",myFV,myPV,myMatrix,eD,myChem,vCD,vIC,pviC)
{
}

ldElectrode::~ldElectrode(void)
{
}
