/* Copyright (c) 2007 Massachusetts Institute of Technology
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
/* 
 * @author James Geraci
 * object needed to create a lead dioxide electrode
 */
#include "StdAfx.h"
#include "ldxElectrode.h"

const ldxElectrodeChemData ldxElectrode::myChem(0.72/*tnp*/,0.0002/*inot*/,-8.29187e-7/*mbScale*/,23.0260/*myVf*/);
const volumeChemData ldxElectrode::vCD(298/*T*/,100/*Amax*/,2800/*Qmax*/,0.8/*soc*/,1/*eta*/,1.5/N/*als*/,0.5/N/*asl*/,0.3e-5/*Dx*/,0.3e-5/*Dy*/,
									   80/*sigx*/,80/*sigy*/,0.79/*Kappax*/,0.79/*Kappay*/,1/*k*/,1/*m*/,0.5 /*exm*/,1.5 /*ex*/,1.685/*phieq*/,
									   4.9e-3/*hnot*/,0.35/*epsnot*/,1/*mySign*/);
const volumeIConditions ldxElectrode::vIC(0.35/*eps*/,0,0);
const PVIConditions ldxElectrode::pviC(4.9e-3/*hp*/,0/*phi_l*/,1.685/*phi_s*/);

ldxElectrode::ldxElectrode(void)
{
}

ldxElectrode::ldxElectrode(FV** myFV, PV** myPV, matrixData* myMatrix, electrodeSizeData* eD):Electrode("ldx",myFV,myPV,myMatrix, eD,myChem,vCD,vIC,pviC)
{
}

ldxElectrode::~ldxElectrode(void)
{
}
