/* Copyright (c) 2007 Massachusetts Institute of Technology
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
/* 
 * @author James Geraci
 * electrode Chem Data object specific for a lead dioxide electrode
 */
#include "StdAfx.h"
#include "ldxElectrodeChemData.h"


const double ldxElectrodeChemData::PbO2_MW = 239.1988;  // g
const double ldxElectrodeChemData::PbO2_rho = 9.79; // g/cm^3

ldxElectrodeChemData::ldxElectrodeChemData(void)
{
}

ldxElectrodeChemData::ldxElectrodeChemData(double Tnp,double io,double mbS,double vf):electrodeChemData(Tnp,io,mbS,vf)
{
}

ldxElectrodeChemData::~ldxElectrodeChemData(void)
{
}

void ldxElectrodeChemData::setmbScale()
{
	mbScale = -(3-2*myTnp)/(2*F);
	return;
};


void ldxElectrodeChemData::setmyVf()
{
	myVf = PbSO4_MW/PbSO4_rho - PbO2_MW/PbO2_rho;
	return;
};
