/* Copyright (c) 2007 Massachusetts Institute of Technology
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
/* 
 * @author James Geraci
 * Contains global variables related to physical properties and
 * variables needed to setup the matrices
 */
#include "myGlobals.h"
#include "StdAfx.h"


extern double dt = 4;  // seconds
extern int tSteps = 60000; // total number of time steps to be taken
extern double I = 1e0;   // current
// Probably don't want to touch these
extern double duration = tSteps*dt; // Total Simulation time
extern double N = 2;   // Number of Moles Participating in Reaction
extern double F = 96487;  // Coulomb/eq
extern double R = 8.3143;  // J/molK
extern double g = 980.6650; // cm/s^2
extern int myVars = 3;
extern int myVols  =7;
extern double ePor = 1;
extern int fluxesPerVar = 4;
extern int mode = 0;  // Base Mode or Skyline default is Base Mode
