/* Copyright (c) 2007 Massachusetts Institute of Technology
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
/* 
 * @author James Geraci
 * sets initial physical parameters for all volumes
 */
#include "StdAfx.h"
#include "volumeChemData.h"

volumeChemData::volumeChemData(void)
{
}


volumeChemData::
volumeChemData(double T1,double Amax1, double Q, double sc, double eda, double als1,double asl1,double Dx1,double Dy1,
			   double sig1x,double sig1y,double K1x, double K1y,double k1,double m1,double exm1,double ex1,double phi_eq1,
			   double hnot1, double epsnot1, double cSign)
{
	T = T1;
	Amax = Amax1;
	als = als1;
	asl = asl1;
	Dx = Dx1;
	Dy = Dy1;
	sigx = sig1x;
	Kx = K1x;
	sigy = sig1y;
	Ky = K1y;
	k = k1;
	m = m1;
	exm = exm1;
	ex = ex1;
	phi_eq = phi_eq1;
	hnot = hnot1;
	epsnot = epsnot1;
	mySign = cSign;
	Qmax = Q;
	soc = sc;
	eta = eda;
}


volumeChemData::~volumeChemData(void)
{
}

double volumeChemData::getAmax(void)
{
	return Amax;
};

double volumeChemData::getT(void)
{
	return T;
};

double volumeChemData::getals(void)
{
	return als;
};

double volumeChemData::getasl(void)
{
	return asl;
};

double volumeChemData::getDx(void)
{
	return Dx;
};

double volumeChemData::getDy(void)
{
	return Dy;
};

double volumeChemData::getsigx(void)
{
	return sigx;
};

double volumeChemData::getKx(void)
{
	return Kx;
};

double volumeChemData::getsigy(void)
{
	return sigy;
};

double volumeChemData::getKy(void)
{
	return Ky;
};

double volumeChemData::getk(void)
{
	return k;
};

double volumeChemData::getm(void)
{
	return m;
};

double volumeChemData::getexm(void)
{
	return exm;
};

double volumeChemData::getex(void)
{
	return ex;
};

double volumeChemData::getphi_eq(void)
{
	return phi_eq;
};

double volumeChemData::gethnot(void)
{
	return hnot;
};

double volumeChemData::getepsnot(void)
{
	return epsnot;
};

double volumeChemData::getmySign(void)
{
	return mySign;
};

double volumeChemData::getQmax(void)
{
	return Qmax;
};

double volumeChemData::getSoc(void)
{
	return soc;
};


double volumeChemData::getEta(void)
{
	return eta;
};
