/* Copyright (c) 2007 Massachusetts Institute of Technology
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
/* 
 * @author James Geraci
 * provides each volume with knowledge of its own location within the cell
 */
#include "StdAfx.h"
#include "volumeSpatialData.h"

volumeSpatialData::volumeSpatialData(void)
{
}

volumeSpatialData::
		volumeSpatialData(double dx, double dy, double dz, int Column, int Row, int Zrow)
{
	mydx = dx;
	mydy = dy;
	mydz = dz;

	myColumn = Column;
	myRow = Row;
	myZrow = Zrow;
}

volumeSpatialData::~volumeSpatialData(void)
{
}

double volumeSpatialData::getxWidth(void)
{
	return mydx;
}

double volumeSpatialData::getyHeight(void)
{
	return mydy;
}

double volumeSpatialData::getzDepth(void)
{
	return mydz;
}

int volumeSpatialData::getColumn(void)
{
	return myColumn;
}

int volumeSpatialData::getRow(void)
{
	return myRow;
}

int volumeSpatialData::getZrow(void)
{
	return myZrow;
}
